Skip to main content
GET
/
api
/
lakehouse
/
products
/
{key}
Get Lakehouse Product
curl --request GET \
  --url https://api.merchantops.ai/api/lakehouse/products/{key}
{
  "createdAt": "<string>",
  "extracted_at": "<string>",
  "extracted_by_worker": "<string>",
  "extraction_confidence": 123,
  "is_duplicate": true,
  "key": "<string>",
  "lastModifiedAt": "<string>",
  "name": {},
  "needs_review": true,
  "organization_id": "<string>",
  "promoted_to_product": true,
  "source": "<string>",
  "source_document_id": "<string>",
  "source_document_type": "<string>",
  "source_document_url": "<string>",
  "attributes": [],
  "brand": {},
  "createdBy": "<string>",
  "description": {},
  "duplicate_of": "<string>",
  "features": [
    {}
  ],
  "images": [],
  "lastModifiedBy": "<string>",
  "productType": {},
  "product_key": "<string>",
  "promoted_at": "<string>",
  "promoted_by": "<string>",
  "source_page_number": 123,
  "vendorId": "<string>"
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Response

Successful Response

Response model for a lakehouse product.

createdAt
string
required
extracted_at
string
required
extracted_by_worker
string
required
extraction_confidence
number
required
is_duplicate
boolean
required
key
string
required
lastModifiedAt
string
required
name
Name · object
required
needs_review
boolean
required
organization_id
string
required
promoted_to_product
boolean
required
source
string
required
source_document_id
string
required
source_document_type
string
required
source_document_url
string
required
attributes
Attributes · object[]
brand
Brand · object
createdBy
string | null
description
Description · object
duplicate_of
string | null
features
Features · object[] | null
images
string[]
lastModifiedBy
string | null
productType
Producttype · object
product_key
string | null
promoted_at
string | null
promoted_by
string | null
source_page_number
integer | null
vendorId
string | null